Package jam.panels

# Interface StatusProvider

All Known Implementing Classes:
  `StatusProvider.Helper`

public interface StatusProvider

Author:
  rambaut Date: Jul 27, 2004 Time: 9:32:24 AM

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`StatusProvider.Helper`

## Method Summary

Modifier and Type
Method
Description
`void`
`addOverrideProvider(StatusProvider provider)`
`void`
`addStatusListener(StatusListener statusListener)`
Status providers must be able to store a list of StatusListeners.
`void`
`fireStatusButtonPressed()`
Fire a status bar event to anything interested.
`void`
`fireStatusChanged(int status, String statusText)`
`int`
`getStatus()`
`String`
`getStatusText()`
`void`
`removeOverrideProvider(StatusProvider provider)`
`void`
`removeStatusListener(StatusListener statusListener)`
Remove the given StatusListener from the provider's list.
`void`
`statusButtonPressed()`
The status bar has been pressed.

## Method Details

### addStatusListener

void addStatusListener(StatusListener statusListener)
Status providers must be able to store a list of StatusListeners. They should then call the appropriate methods on all of these to update the status.

Parameters:
  `statusListener` - the StatusListener to be added

### removeStatusListener

void removeStatusListener(StatusListener statusListener)
Remove the given StatusListener from the provider's list.

Parameters:
  `statusListener` - the StatusListener to be removed

### fireStatusChanged

void fireStatusChanged(int status, String statusText)

### statusButtonPressed

void statusButtonPressed()
The status bar has been pressed. This method should not really be here. You should instead call `fireStatusButtonPressed()`

### getStatusText

String getStatusText()

### getStatus

int getStatus()

### fireStatusButtonPressed

void fireStatusButtonPressed()
Fire a status bar event to anything interested.

### addOverrideProvider

void addOverrideProvider(StatusProvider provider)

### removeOverrideProvider

void removeOverrideProvider(StatusProvider provider)